Subject: Response when no MDN has been requested

From: Dave Killough <[email-masked]>
Date: Sun, 02 Mar 2003 01:13:02 -0500

When there is no disposition-notification-to header in the client request, I am not returning an MDN.  

What should I return instead?  There's one web server I'm testing that will generate an HTTP error if I don't provide some content-type.  

RFC 2298 was meant for email and does not discuss HTTP. 

Will I be ok with the following?   : 
   
    ##########################################################################
    # The posting client has not requested an MDN.  None will be sent.
    #
    # EDIINT-AS2 DRAFT 1-2003 7.6 excerpt:
    # The HTTP server-side application may respond with an unsolicited 
    # multipart/report as a message body that the HTTP client might not have 
    # solicited, but this may be discarded by the client. Applications should 
    # avoid emitting unsolicited receipt replies because bandwidth or 
    # processing limitations might have led administrators to suspend asking 
    # for acknowledgements.
    #
    print "content-type: text/plain\n";
    print "connection: close\n";
    print "\nposted without MDN request (disposition-notification-to)";

Thanks,
Dave